{
  "name": "hvac-web",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host --open",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "test:e2e": "start-server-and-test preview http://localhost:4173 'cypress run --e2e'",
    "test:e2e:dev": "start-server-and-test 'vite dev --port 4173' http://localhost:4173 'cypress open --e2e'",
    "build-only": "vite build",
    "clean:dist": "rimraf dist",
    "clean:node": "rimraf node_modules",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "format": "prettier --write .",
    "icon:svg": "svgo -rf src/icons/svg -o src/icons/svg",
    "icon:gen": "cd src/icons && node generate-icon.cjs",
    "icon:see": "open src/icons/fonts/index.html",
    "prepare": "husky"
  },
  "dependencies": {
    "@better-scroll/core": "^2.5.1",
    "@better-scroll/mouse-wheel": "^2.5.1",
    "@vueuse/core": "^12.5.0",
    "ant-design-vue": "^4.2.6",
    "dayjs": "^1.11.13",
    "echarts": "^5.6.0",
    "js-cookie": "^3.0.5",
    "libpag": "^4.2.84",
    "lodash-es": "^4.17.21",
    "pinia": "^2.3.0",
    "qs": "^6.14.0",
    "rollup-plugin-copy": "^3.5.0",
    "simplebar-vue": "^2.4.0",
    "vue": "^3.5.13",
    "vue-color-kit": "^1.0.6",
    "vue-echarts": "^7.0.3",
    "vue-i18n": "^11.0.1",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^19.7.1",
    "@commitlint/config-conventional": "^19.7.1",
    "@eslint/js": "9.17.0",
    "@iconify-json/mdi": "^1.2.2",
    "@intlify/unplugin-vue-i18n": "^6.0.3",
    "@meta2d/core": "^1.0.76",
    "@tsconfig/node22": "^22.0.0",
    "@types/js-cookie": "^3.0.6",
    "@types/jsdom": "^21.1.7",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^22.10.4",
    "@types/qs": "^6.9.18",
    "@unocss/eslint-config": "^0.65.4",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vitest/eslint-plugin": "1.1.20",
    "@vue/eslint-config-prettier": "^10.1.0",
    "@vue/eslint-config-typescript": "^14.1.3",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.7.0",
    "cypress": "^13.17.0",
    "eslint": "^9.14.0",
    "eslint-plugin-cypress": "^4.1.0",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-jsonc": "^2.18.2",
    "eslint-plugin-simple-import-sort": "^12.1.1",
    "eslint-plugin-vue": "^9.30.0",
    "globals": "^15.14.0",
    "husky": "^9.1.7",
    "jsdom": "^25.0.1",
    "jsonc-eslint-parser": "2.4.0",
    "lint-staged": "^15.4.3",
    "npm-run-all2": "^7.0.2",
    "prettier": "^3.3.3",
    "prettier-plugin-packagejson": "^2.5.6",
    "rimraf": "^6.0.1",
    "sass": "^1.83.0",
    "start-server-and-test": "^2.0.9",
    "stylelint": "^16.12.0",
    "stylelint-config-recess-order": "^5.1.1",
    "stylelint-config-standard-scss": "^14.0.0",
    "stylelint-config-standard-vue": "^1.0.0",
    "svgo": "^3.3.2",
    "svgtofont": "4.2.0",
    "typescript": "~5.6.3",
    "typescript-eslint": "8.19.0",
    "unocss": "^0.65.4",
    "unplugin-auto-import": "^19.0.0",
    "unplugin-vue-components": "^28.0.0",
    "vite": "^6.0.7",
    "vite-plugin-vue-devtools": "^7.7.0",
    "vitest": "^2.1.8",
    "vue-tsc": "^2.2.0"
  },
  "pnpm": {
    "overrides": {
      "@intlify/message-compiler": "11.0.0-rc.1",
      "@intlify/shared": "11.0.0-rc.1",
      "cheerio": "1.0.0-rc.12"
    }
  }
}
